﻿;;;===============================================================================
;;;10/12/08
;;;                A G E N T S (file :TECPAR-MILTON:agents.lisp)
;;;
;;;                copyright JP BArthes @UTC, 2009-2010
;;;
;;;===============================================================================

#| This file contains the name of the agents that must be loaded into the local 
coterie. It is called when OMAS is initialized (v5 and above)
2004
 0228 First definition
      This file should contain a list with some variables to be used to initialize
      some functions, and some variables describing the environment that must be
      initialized when all the functions have been loaded.
2008
 1013 copied from previous file adapted to CIT
2009
 0606 prefixing agent names with TEC-
 0730 adding ARISTIDE, ARS-ADDRESS as a staff agent, TECPAR as a postman
2010
 New version for MOSS 8.0.8
|#

(in-package :omas)

;;; the global variable is defined in the OMAS load file

(setq *local-coterie-agents* 
      ;'(:ARISTIDE :ARS-ADDRESS :TEC-MUL-3 :TEC-MUL-4 :TEC-FAC-2 :TECPAR)
      ;;; remove the postman for MCL and add the NEWS agent for testing
      ;'(:NEWS :ZE :ze-address)
      '(:ZE :ze-address :TEC-MUL-3 :TEC-MUL-4 :TEC-FAC-2 :TECPAR)
      )

:EOF