﻿;;;===============================================================================
;;;11/04/04
;;;                AGENT HOTEL-1
;;;
;;;===============================================================================


;;; define name in the loading environment, so that it can be used without prefix,
;;; export it to the agent package

(defpackage :hotel-1 (:use :cl #+MCL :ccl :moss :omas))
(in-package :hotel-1)

(omas::defagent :hotel-1)

;;;================================ data section ===============================

(defParameter info
  '(:price 10000 :breakfast :yes :distance 5))

;;; =============================== skill section ==============================

(defskill :info-request :hotel-1
  :static-fcn static-info-request
  )

(defun static-info-request (agent message query)
  (declare (ignore message query))
  (sleep (1+ (random 2)))
  (static-exit agent info))

:EOF